Unit tzp37e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP37E_p;

function tzp37e: String;

implementation

function tzp37e: String;
var
NP,M,_i :Integer;
R,S :Extended;
B :Array [0..3] of Extended;
const
A :Array [0..4] of Extended = ( 24.0e0,-50.0e0,35.0e0,-10.0e0,1.0e0 );
begin
Result := '';  {   }
R := 2.0;
NP := 4;
M := 4;
ZP37E(NP,A,M,B,R,S);
Result := Result + Format('%10d %10d %20.16f %20.16f ',
 [NP,M,R,S]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp37e',Result);  {     tzp37e.res }
exit;
end;

end.
